%global dlrn_nvr oslo.utils-4.8.2-1.20230201104135.a38b56a
%global dlrn 1
%define upstream_version 4.8.2
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0xa63ea142678138d1bb15f2e303bdfd64dd164087
%global pypi_name oslo.utils
%global pkg_name oslo-utils
%global with_doc 0

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global common_desc \
The OpenStack Oslo Utility library. \
* Documentation: http://docs.openstack.org/developer/oslo.utils \
* Source: http://git.openstack.org/cgit/openstack/oslo.utils \
* Bugs: http://bugs.launchpad.net/oslo

%global common_desc_tests Tests for the Oslo Utility library.

Name:           python-oslo-utils
Version: 4.8.2
Release: 1.20230201104135.a38b56a%{?dist}
Summary:        OpenStack Oslo Utility library

License:        ASL 2.0
URL:            http://launchpad.net/oslo
Source0: oslo.utils-4.8.2-1.20230201104135.a38b56a.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=a38b56a6f9438d256d6e0f9b03181015f2b27d8c
Patch0001: 0001-imageutils-Fix-__str__-for-QemuImgInfo.patch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{pypi_name}/%{pypi_name}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif
BuildArch:      noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
%endif

BuildRequires:  git-core
BuildRequires:  openstack-macros

%description
%{common_desc}

%package -n python3-%{pkg_name}
Summary:    OpenStack Oslo Utility library
%{?python_provide:%python_provide python3-%{pkg_name}}

BuildRequires:  python3-devel
BuildRequires:  python3-pbr
BuildRequires:  python3-iso8601
BuildRequires:  python3-debtcollector
# test requirements
BuildRequires:  python3-eventlet
BuildRequires:  python3-hacking
BuildRequires:  python3-fixtures
BuildRequires:  python3-oslotest
BuildRequires:  python3-testtools
BuildRequires:  python3-ddt
BuildRequires:  python3-oslo-i18n
BuildRequires:  python3-pyparsing
BuildRequires:  python3-testscenarios
BuildRequires:  python3-testrepository
BuildRequires:  python3-netaddr
BuildRequires:  python3-packaging
BuildRequires:  python3-yaml
# Required to compile translation files
BuildRequires:  python3-babel
BuildRequires:  python3-netifaces
BuildRequires:  python3-pytz

Requires:       python3-oslo-i18n >= 3.15.3
Requires:       python3-iso8601
Requires:       python3-debtcollector >= 1.2.0
Requires:       python3-pyparsing
Requires:       python3-netaddr >= 0.7.18
Requires:       python3-pytz
Requires:       python3-netifaces >= 0.10.4
Requires:       python3-packaging >= 20.4
Requires:       python-%{pkg_name}-lang = %{version}-%{release}
Requires:       python3-pbr >= 2.0.0

%description -n python3-%{pkg_name}
%{common_desc}

%if 0%{?with_doc}
%package -n python-%{pkg_name}-doc
Summary:    Documentation for the Oslo Utility library

BuildRequires:  python3-sphinx
BuildRequires:  python3-openstackdocstheme

%description -n python-%{pkg_name}-doc
Documentation for the Oslo Utility library.
%endif

%package -n python3-%{pkg_name}-tests
Summary:    Tests for the Oslo Utility library

Requires: python3-%{pkg_name} = %{version}-%{release}
Requires: python3-eventlet
Requires: python3-hacking
Requires: python3-fixtures
Requires: python3-oslotest
Requires: python3-testtools
Requires: python3-ddt
Requires: python3-testscenarios
Requires: python3-testrepository

%description -n python3-%{pkg_name}-tests
%{common_desc_tests}

%package  -n python-%{pkg_name}-lang
Summary:   Translation files for Oslo utils library

%description -n python-%{pkg_name}-lang
Translation files for Oslo utils library

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%autosetup -n %{pypi_name}-%{upstream_version} -S git

# Let RPM handle the dependencies
%py_req_cleanup

%build
%{py3_build}

%if 0%{?with_doc}
# generate html docs
sphinx-build-3 -W -b html doc/source doc/build/html
# remove the sphinx-build-3 leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

# Generate i18n files
python3 setup.py compile_catalog -d build/lib/oslo_utils/locale --domain oslo_utils

%install
%{py3_install}

# Install i18n .mo files (.po and .pot are not required)
install -d -m 755 %{buildroot}%{_datadir}
rm -f %{buildroot}%{python3_sitelib}/oslo_utils/locale/*/LC_*/oslo_utils*po
rm -f %{buildroot}%{python3_sitelib}/oslo_utils/locale/*pot
mv %{buildroot}%{python3_sitelib}/oslo_utils/locale %{buildroot}%{_datadir}/locale

# Find language files
%find_lang oslo_utils --all-name

%check
python3 setup.py test

%files -n python3-%{pkg_name}
%doc README.rst
%license LICENSE
%{python3_sitelib}/oslo_utils
%{python3_sitelib}/*.egg-info
%exclude %{python3_sitelib}/oslo_utils/tests

%if 0%{?with_doc}
%files -n python-%{pkg_name}-doc
%doc doc/build/html
%license LICENSE
%endif

%files -n python3-%{pkg_name}-tests
%{python3_sitelib}/oslo_utils/tests

%files -n python-%{pkg_name}-lang -f oslo_utils.lang
%license LICENSE

%changelog
* Wed Feb 01 2023 OSP Prod Chain <dev-null@redhat.com> 4.8.2-1.20230201104135.a38b56a
- [imageutils] Fix __str__ for QemuImgInfo (rhbz#2165616)

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 4.8.2-1.20220727135816.a38b56a
- Update patches

* Thu Jul 14 2022 OSP Prod Chain <dev-null@redhat.com> 4.8.2-1.20220714131131.a38b56a
- Update patches

* Wed Jul 13 2022 OSP Prod Chain <dev-null@redhat.com> 4.8.2-1.20220713082752.a38b56a
- Update patches

* Sat Apr 30 2022 OSP Prod Chain <dev-null@redhat.com> 4.8.2-0.20220430112605.a38b56a
- Update patches
- fix strutils password regex

* Wed Feb 23 2022 OSP Prod Chain <dev-null@redhat.com> 4.8.1-0.20220223082242.4cc3a55
- Update patches
- Dropping lower constraints testing
- Fix regex used to mask password
- Update TOX_CONSTRAINTS_FILE for stable/wallaby
- Update .gitreview for stable/wallaby
- Move flake8 as a pre-commit local target.

* Wed Jun 02 2021 OSP Prod Chain <dev-null@redhat.com> 4.8.0-0.20210602091809.3288539
- Update patches

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 4.8.0-0.20210527201953.3288539
- Update patches

* Thu Mar 25 2021 OSP Prod Chain <dev-null@redhat.com> 4.8.0-1
- Update patches

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> 4.8.0-1
- Update patches

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Sat Mar 13 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Feb 19 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add a ``strict`` flag allowing users to restrict validation of IPv4 format
- Use TOX_CONSTRAINTS_FILE
- Dropping lower constraints testing
- Use TOX_CONSTRAINTS_FILE
- Use py3 as the default runtime for tox
- Remove all usage of six library

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Nov 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add function to encapsule md5 for FIPS systems
- Add Python3 wallaby unit tests
- Update master for stable/victoria
- Adding pre-commit
- Add Python3 victoria unit tests

* Wed Oct 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Sep 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [goal] Migrate testing to ubuntu focal
- Fix is_same_callback() testing for python3.8

* Tue Sep 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add util methods for checking json and yaml formatted file
- Bump bandit version

* Wed Jul 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- New method in netutils: get_mac_addr_by_ipv6

* Tue Jul 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- versionutils: switch from pkg_resources to packaging
- Align contributing doc with oslo's policy

* Tue Jul 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Jul 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix uuidsentinel to follow getattr protocol

* Mon Jun 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Release greenthread when computing checksum
- Fix pygments style

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Stop to use the __future__ module.
- Fix hacking min version to 3.0.1
- Switch to newer openstackdocstheme and reno versions
- Remove the unused coding style modules
- Remove translation sections from setup.cfg
- Remove monotonic usage
- Imported Translations from Zanata
- Add release notes links to doc index
- Update master for stable/ussuri

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Apr 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Apr 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update hacking for Python3
- Use unittest.mock instead of third party mock
- tox: Use upper-constraints for docs jobs
- Add test to check scientific notation on disk virtual size
- tests: Convert remaining tests to mock

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Mar 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Flatten test case
- Fix regex to correctly recognize scientific notation with QemuImgInfo
- imageutils: Report format specific details when using JSON output format
- remove outdated header
- Remove universal wheel configuration
- reword releasenote for py27 support dropping
- [ussuri][goal] Drop python 2.7 support and testing
- tox: Trivial cleanup
- Ignore releasenote cache within git untracked files
- trivial: Move setup code into setUp helper
- Ignore the .eggs directory
- Bump the openstackdocstheme extension to 1.20
- Switch to Ussuri jobs

* Fri Dec 13 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Verify the sanitize keys are lowered
- Fix invalid escapes in regular expression strings
- Make mask_dict_password case insensitive and add new patterns
- Merge "Make mask_password case insensitive, and add new patterns"
- tox: Keeping going with docs

* Mon Nov 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Nov 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update .gitreview for stable/train
- Make mask_password case insensitive, and add new patterns
- Merge "Update master for stable/train"
- Update the constraints url
- Update master for stable/train
- Update TOX/UPPER_CONSTRAINTS_FILE for stable/train
- Update .gitreview for stable/train

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Oct 11 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Support "qemu-img info" virtual size in QEMU 4.1 and later
- Update TOX/UPPER_CONSTRAINTS_FILE for stable/train
- Update .gitreview for stable/train

* Wed Oct 02 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches



